-------------------------------------------------------------------------------
-- English localization (Default)
-------------------------------------------------------------------------------

-- Bindings
getfenv()["BINDING_NAME_CLICK XTotemBarButtonToggle:LeftButton"] = "Show/hide XTotemBar";

-- Most of these buffs affect a party.  Some buffs that only affect the caster are included
-- if the class only has a few of them.  Warlocks and Rogues have so many other abilities
-- they will be in a separate bar.

-- Buffs
XTotemBarSpells = {
-- Shaman buffs
	"#SHAMAN",
	XBAR_SNOWRAP,
	"^210643",--Totem Mastery
	XBAR_SNOWRAP,
	"^8190",--Magma Totem
	"^192222",--Liquid Magma Totem
	XBAR_SNOWRAP,
	"^192058",--Lightning Surge Totem
	"^51485",--Earthgrab Totem
	"^15786",--Earthbind Totem
	"^196932",--Voodoo Totem
	XBAR_SNOWRAP,
	"^192077",--Wind Rush Totem
	XBAR_SNOWRAP,
	"^98008",--Spirit Link Totem
	"^108273",--Windwalk Totem
	"^157153",--Cloudburst Totem
	XBAR_SNOWRAP,
	"^5394",--Healing Stream Totem
	"^108280",--Healing Tide Totem
	XBAR_SNOWRAP,
	"^61882",--Earthquake Totem
	"^108270",--Stone Bulwark Totem	
	XBAR_SNOWRAP,
	"^198067",--Fire Elemental	
	XBAR_SNOWRAP,
	"^198103",--Earth Elemental	
	XBAR_SNOWRAP,
	"^192249",--Storm Elemental	
	
};

-- Maximum bar size will be auto-calculated in the main section

XBarCore.Localize(XTotemBarSpells);

XBAR_HELP_CONTEXT_XTotemBar = XBarHelpGUI.ContextHeader("XTotemBar").."Spells are organized by class, check a spell to show or uncheck to hide it."

local i,v,p,s;

-- Auto-translate the class headers
for i,v in pairs(XTotemBarSpells) do
	if strsub(XTotemBarSpells[i],1,1)=="#" then
		s="";
		p=strfind(XTotemBarSpells[i],"-",2,true);
		if (p==nil) then
			p=strlen(XTotemBarSpells[i]);
		else
			s=strsub(XTotemBarSpells[i],p);
			p=p-1;
		end
		XTotemBarSpells[i]="#"..tostring(LOCALIZED_CLASS_NAMES_MALE[strsub(XTotemBarSpells[i],2,p)])..s;
	end
end
